<?php

  $user_info = $this->getSession()->get('session') ;

$user_id = $user_info['id'] ;
/* Bricolage d'un groupe super_admin */
$login = $user_info['login'] ;
$is_admin =   ( $login == 'cgicquel' ) ? true : false ;

$sitefouille_id = $this->getSession()->get('sitefouille_id') ;

?>
<div>
    <h2 class="page-header">Suivi de chantier
        <?php
  if($this->getSession()->has('title_precision')){
        echo $this->getSession()->get('title_precision', 'Html');
        }
        ?>
    </h2>

    <!-- Nav tabs -->
    <ul class="nav nav-pills nav-tabs nav-justified" role="tablist">
        <li role="presentation" class="active"><a href="#dashboard" role="tab" data-toggle="tab">Dashboard</a></li>
        <!-- <li role="presentation"><a href="#diagram" role="tab" data-toggle="tab">Diagramme U.S.</a></li> -->
        <li role="presentation"><a href="#participation" role="tab" data-toggle="tab">Participation OA</a></li>
        <li role="presentation"><a href="#intervention" role="tab" data-toggle="tab">Intervention US</a></li>
        <!-- <li role="presentation"><a href="#maps" role="tab" data-toggle="tab">Carte</a></li> -->
        <!-- <li role="presentation"><a href="#oa" role="tab" data-toggle="tab">Op&eacute;ration Arch&eacute;ologique</a></li> -->
        <li role="presentation"><a href="#us" role="tab" data-toggle="tab">Unit&eacute;s Stratigraphiques</a></li>
        <li role="presentation"><a href="#er" role="tab" data-toggle="tab">El&eacute;ments Recueillis</a></li>
        <?php if($is_admin ):  ?>
        <li role="presentation"><a href="#debug" role="tab" data-toggle="tab">Debug</a></li>
        <?php endif;  ?>
    </ul>

    <!-- Tab panes -->
    <div class="tab-content">
        <div role="tabpanel" class="tab-pane active" id="dashboard">
            <!-- Contenu du Dashboard-->
            <p>
            <div id="dashboard-content">
                <?php
                    echo $this->getResponse('Dashboard_Sitefouille', 'dashboard', array($sitefouille_id) );
                ?>
            </div>
            </p>
        </div>

        <div role="tabpanel" class="tab-pane" id="diagram">
            <!-- Contenu du Planning-->
            <p>
            <div id="diagram-content">
                <?php
                    // echo $this->getResponse('Dashboard_Us', 'UsNetwork');
                ?>
            </div>
            </p>
        </div>
        <div role="tabpanel" class="tab-pane" id="participation">
            <!-- Contenu du Planning-->
            <p>
            <div id="participation-content">
                <?php
                $oa_id = $this->getSession()->has('oa_id') ? $this->getSession()->get('oa_id') : null ;

                if (!empty($oa_id) ) {
                echo $this->getResponse('Dashboard_Sitefouille', 'Participation' );
                // Mode d'affichage sous forme d'un calendrier
                // echo $this->getResponse('Dashboard_Oa', 'Calendar' );
                } else {
                ?>
                <div class="alert alert-dismissable alert-warning">
                    <!-- Nota :  flash_status = warning | danger | success | info -->
                    <button type="button" class="close" data-dismiss="alert">X</button>
                    <h4>Suivi de chantiers</h4>
                    Veuillez choisir une Op&eacute;ration Arch&eacute;ologique
                </div>
                <?php
                    echo $this->getResponse('Dashboard_Oa', 'List', array('layout' => false) );
                }
                ?>

            </div>
            </p>
        </div>
        <div role="tabpanel" class="tab-pane" id="intervention">
            <!-- Contenu du Planning-->
            <p>
            <div id="intervention-content">
                <?php
                echo $this->getResponse('Dashboard_Sitefouille', 'Intervention', array($sitefouille_id));
                ?>
            </div>
            </p>
        </div>
        <div role="tabpanel" class="tab-pane" id="maps">
            <div id="sdf_us_map">
            </div>
        </div>

        <div role="tabpanel" class="tab-pane" id="oa">
            <div id="oa_list">
                <?php
        // echo $this->getResponse('Dashboard_Oa', 'Index', array('layout' => false) );
                ?>
            </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="us">
            <div id="us-content">
                <p>
                <div id="us-timeline">
                    <?php
                        echo $this->getResponse('Dashboard_Us', 'UsTimeline', array('layout' => false) );
                    ?>
                </div>
                </p>
                <p>
                <div id="us_list"></div>
                </p>
            </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="er">
            <div id="er-content">
                <div id="er-statut">
                    <?php
                        echo $this->getResponse('Dashboard_Elementrecueilli', 'statut', array('layout' => false) );
                    ?>
                </div>
                <div id="er-etat">
                    <?php
                    echo $this->getResponse('Dashboard_Elementrecueilli', 'etat', array('layout' => false) );
                    ?>
                </div>
                <div id="er-suivi">
                    <?php
                        // echo $this->getResponse('Dashboard_Elementrecueilli', 'StatutSuivi', array('layout' => false) );
                    ?>
                </div>

            </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="debug">
            <div id="debug-content">
                <p>
                <div class="panel panel-warning">
                    <div class="panel-body">
                        <?php
            echo $this->getResponse('Index', 'Debug', array(false) );
                        ?>
                    </div>
                </div>
                </p>
            </div>
        </div>
    </div>

</div>
<?php
  /**
   * Indispensable pour afficher le Layout, desactivé pour les appels des differentes actions
   */
  $this->getLayout()->setEnabled(true);
?>

